Bug 205830 - [PATCH] ports-mgmt/portshaker: simplification of Makefile depend logic
Summary: [PATCH] ports-mgmt/portshaker: simplification of Makefile depend logic
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Romain Tartière
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-01-03 11:13 UTC by Simon Wright
Modified: 2018-01-16 09:20 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (romain)


Attachments
Patch to simplify Makefile depends logic (854 bytes, patch)
2016-01-03 11:13 UTC, Simon Wright
no flags Details | Diff
Logs from with and without WITH_SUBVERSION_VER set (3.26 KB, text/plain)
2016-01-03 11:23 UTC, Simon Wright
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Wright 2016-01-03 11:13:14 UTC
Created attachment 164990 [details]
Patch to simplify Makefile depends logic

Looking at the subversion run dependancy wouldn't the attached be a simpler form of the requirement? If WITH_SUBVERSION_VER is defined it will be used, if it isn't it will be empty and the default will be used.
Comment 1 Simon Wright 2016-01-03 11:23:31 UTC
Created attachment 164991 [details]
Logs from with and without WITH_SUBVERSION_VER set
Comment 2 Dmitry Marakasov freebsd_committer 2016-09-08 14:07:18 UTC
What if WITH_SUBVERSION_VER=19?
Comment 3 Romain Tartière freebsd_committer 2016-10-15 06:47:06 UTC
While I quite agree with the change, other ports that depend on $WITH_SUBVERSION_VER (devel/py-subversion, www/mod_dav_svn) have the same construct that is currently used.

Adding lev@ — the maintainer of these ports — in copy so that he can help us with his insights.
Comment 4 commit-hook freebsd_committer 2018-01-16 09:18:04 UTC
A commit references this bug:

Author: romain
Date: Tue Jan 16 09:17:05 UTC 2018
New revision: 459162
URL: https://svnweb.freebsd.org/changeset/ports/459162

Log:
  Update to 1.0.15

  This release address a few minor issues, including [2].

  While here:
  - Simplify Makefile depend logic [1];
  - Add license.

  PR:		205830 [1], 224138 [2]
  Submitted by:	simon.wright@gmx.net [1], parakleta@darkreality.org [2]

Changes:
  head/ports-mgmt/portshaker/Makefile
  head/ports-mgmt/portshaker/distinfo
Comment 5 Romain Tartière freebsd_committer 2018-01-16 09:20:38 UTC
Found this old PR, the proposed changed was sitting in my local ports for a while, and was long overdue…  I just committed it.

Thank you!